Loading...
Searching...
No Matches
RDNumeric::Alignments Namespace Reference

## Functions

double RDKIT_ALIGNMENT_EXPORT | AlignPoints (const RDGeom::Point3DConstPtrVect &refPoints, const RDGeom::Point3DConstPtrVect &probePoints, RDGeom::Transform3D &trans, const DoubleVector *weights=nullptr, bool reflect=false, unsigned int maxIterations=50)
| Compute an optimal alignment (minimum sum of squared distance) between two sets of points in 3D using the quaternion method.

## Function Documentation

## AlignPoints()

double RDKIT_ALIGNMENT_EXPORT RDNumeric::Alignments::AlignPoints | ( | const RDGeom::Point3DConstPtrVect & | refPoints,
|  | const RDGeom::Point3DConstPtrVect & | probePoints,
|  | RDGeom::Transform3D & | trans,
|  | const DoubleVector * | weights = nullptr,
|  | bool | reflect = false,
|  | unsigned int | maxIterations = 50 )

Compute an optimal alignment (minimum sum of squared distance) between two sets of points in 3D using the quaternion method.

Parameters

  refPoints | A vector of pointers to the reference points
  probePoints | A vector of pointers to the points to be aligned to the refPoints
  trans | A RDGeom::Transform3D object to capture the necessary transformation
  weights | A vector of weights for each of the points
  reflect | Add reflection is true
  maxIterations | Maximum number of iterations in the eigen solver

Returns
  The sum of squared distances between the points

Note This function returns the sum of squared distances (SSD) not the RMSD RMSD = sqrt(SSD/numPoints)